<?php



class DepartamentoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.DepartamentoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('DEPARTAMENTO');
		$tMap->setPhpName('Departamento');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID_DEPTO', 'IdDepto', 'double', CreoleTypes::NUMERIC, true, 20);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 150);

		$tMap->addColumn('ID_PAIS', 'IdPais', 'double', CreoleTypes::NUMERIC, false, 20);

	} 
} 